none
unable to load DLL 'sqlceme35.dll' RRS feed

  • Question

  • I know this question is posted all over the place.  I am using Windows 7 and have changed everything to x86 and the application runs just fine. The problems comes after using 'Click Once'.

    Once the application is installed, I immediately receive this (unable to load DLL 'sqlceme35.dll'). My other applications have installed just fine and are still being used by many without problem. I have checked all of my setting against the applications that I have previously wrote and everything is the same.

    Is it possible that since there is already a 'Click Once' application ont the target machine that for some reason it will not allow another deployed the same way?

    Any help would be greatly appretiated.

    Thursday, November 11, 2010 2:09 AM

Answers

  • This problem has been a nightmare. The problem is something wrong with my laptop. When I returned to my office and tried the applications on the office systems everything works. Somehow one or more of my files have been corrupted.

    Thank you everybody for your help in this matter. If I ever discover what file is fouling the works I will post an update.

    • Marked as answer by RRacchi Friday, November 19, 2010 7:29 PM
    Friday, November 19, 2010 7:29 PM

All replies

  • I know this question is posted all over the place.  I am using Windows 7 and have changed everything to x86 and the application runs just fine. The problems comes after using 'Click Once'.

    Once the application is installed, I immediately receive this (unable to load DLL 'sqlceme35.dll'). My other applications have installed just fine and are still being used by many without problem. I have checked all of my setting against the applications that I have previously wrote and everything is the same.

    Any help would be greatly appretiated.

    • Merged by Liliane Teng Tuesday, November 16, 2010 9:33 AM same problem
    Wednesday, November 10, 2010 10:36 PM
  • On the Publish tab under the application properties (Project...AppName Properties) click on the Prerequisites button. Make sure to select SQL Server Compact 3.5 in the prerequisites list.
    Paul ~~~~ Microsoft MVP (Visual Basic)
    Thursday, November 11, 2010 4:40 PM
  • Paul, Thank you for your response. The SQL Compact 3.5 is and was checked. I have tried to install using both Same Location and Vendors Web site. Still same problem. I am having this problem on the same system that the application was written and debugged on. Unfortunately I am mobil at the moment so I can not test on other systems back in my office. I have attempted to reisnstall the SQL Compact 3.5 again but still no glory. Is there an update I am missing?
    Thursday, November 11, 2010 7:34 PM
  • Not quite sure if I understand. Are you trying to deploy to your development machine?

    It doesn't make sense that you could develop the app and then have it fail on the same system, or am I misunderstanding what you are trying to say?

    Also, did you actually verify (in the GAC) that you have the correct version installed? There is both a 3.5 and 3.5.1 version of System.Data.SqlServerCe.


    Paul ~~~~ Microsoft MVP (Visual Basic)
    Thursday, November 11, 2010 9:15 PM
  • Paul, Yes sir you did understand the problem. I agree it makes no sense at all. As a rule I always install the new app on the development machine before testing it on other machines.

    As for the correct version being installed, the 3.5.1 is that a service pack or should I find that and install it? I am using 3.5 now. Or can they both be installed?

     

    Friday, November 12, 2010 1:25 AM
  • Hi,

    I think you can see the link follows: 

    http://social.msdn.microsoft.com/Forums/en-US/sqlce/thread/83970f13-3614-43b8-a454-6d527d9c0815/

    http://pietschsoft.com/post/2009/01/07/SQL-Compact-And-The-Unable-to-load-DLL-sqlceme35dll-Runtime-Exception.aspx

    It is the problem as yours. There are several solutions. Hope it helps.


    Best Regards,
    Vin Jin


    Please remember to click “Mark as Answer” on the post that helps you, and to click “Unmark as Answer” if a marked post does not actually answer your question. This can be beneficial to other community members reading the thread.
    Friday, November 12, 2010 2:26 AM
  • The 3.5.1 version may be installed with .NET Framework version 4.0, but yes multiple versions can be installed in the GAC. Which version of Visual Studio are you using? Also, have you tried deploying to a system without Visual Studio installed? That really should be your target test system since you'll have a bit more certainty as to the components being deployed with your application.

     


    Paul ~~~~ Microsoft MVP (Visual Basic)
    Friday, November 12, 2010 2:10 PM
  • Hi RRacchi,

    Have you already solved your problem? If so, we will be glad if you share the solution and mark it as answer. And it will be very beneficial for other community members having the similar questions.

    But if not, we are also glad  to help you solve your problems here.

    Have a nice day!

    Sincerely,

    Vin Jin


    Please remember to click “Mark as Answer” on the post that helps you, and to click “Unmark as Answer” if a marked post does not actually answer your question. This can be beneficial to other community members reading the thread.
    Wednesday, November 17, 2010 1:11 AM
  • This problem has been a nightmare. The problem is something wrong with my laptop. When I returned to my office and tried the applications on the office systems everything works. Somehow one or more of my files have been corrupted.

    Thank you everybody for your help in this matter. If I ever discover what file is fouling the works I will post an update.

    • Marked as answer by RRacchi Friday, November 19, 2010 7:29 PM
    Friday, November 19, 2010 7:29 PM